summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJustin Lecher <jlec@gentoo.org>2015-11-03 12:22:45 +0100
committerJustin Lecher <jlec@gentoo.org>2015-11-03 12:38:00 +0100
commit20319f2c5ec3f6f8b4f8b2148b1f1680decd3993 (patch)
tree11433d95cfe3107be433e5d257740c570a7cc5dd /dev-python/webob
parentdev-python/urwid: Version Bump (diff)
downloadgentoo-20319f2c5ec3f6f8b4f8b2148b1f1680decd3993.tar.gz
gentoo-20319f2c5ec3f6f8b4f8b2148b1f1680decd3993.tar.bz2
gentoo-20319f2c5ec3f6f8b4f8b2148b1f1680decd3993.zip
dev-python/webob: Version Bump
Package-Manager: portage-2.2.23 Signed-off-by: Justin Lecher <jlec@gentoo.org>
Diffstat (limited to 'dev-python/webob')
-rw-r--r--dev-python/webob/Manifest1
-rw-r--r--dev-python/webob/webob-1.5.1.ebuild44
2 files changed, 45 insertions, 0 deletions
diff --git a/dev-python/webob/Manifest b/dev-python/webob/Manifest
index ca1958f2e27..53cdb8d3be7 100644
--- a/dev-python/webob/Manifest
+++ b/dev-python/webob/Manifest
@@ -1,3 +1,4 @@
DIST WebOb-1.4.1.tar.gz 671495 SHA256 12f8b98390befc47336d2c0e5bad9cc48609d808eabb3f8675dc1027a3a9e9db SHA512 71be0389018289884158c5f3b99d1e1185bd29ab975ea59008fd71bf1188d25130e1852422dcedf7ffe3303d87caf02d62a143229b9ae196dd62f64deb7f7328 WHIRLPOOL d2803552592813c4b5ea4291e9a3aac6aa26397b903a8372f8e1fd601d46fb5f7105dcfd42e14de974a352e75945bf61945e0f36928d6a3fd8afa8bdd195d35b
DIST WebOb-1.4.tar.gz 633302 SHA256 0819838204e2a6823e42bf2227898fdf3f306f7619bf328e25855a0d1ca20399 SHA512 0cf1a21b7d863c355e445f0e9f898ffb1c4c39099532a86d830c1be5d84efc0c6f3e8151a283cfd1cb5bebcb1fe78a2b6b269cbc130863679a017565a2539a37 WHIRLPOOL abfc696b7f50a74edd3d84099365f802f5be0eddf56a1c128f6e026c30bdeddc1b58c6bb45d4281ee4fb3d7937888d8065b01f93a363c82cd9cd1834eb2378da
DIST WebOb-1.5.0.tar.gz 186394 SHA256 8e90cca008c0189fe64d06281d50d9510c1dde4147bdf4bc81b666020ce31350 SHA512 4d5a4f58eb3f96d4b563c0a8d8387f30ad323d11c3a913ba69504685e7baa870f232d55e6d8b403e3f6b2153c3c7f37a694618bf0e85d04115c240c5fa2b93b6 WHIRLPOOL f3f6975f84bc64fe941fd3d3c5cd065cfea8e59b2f0481e31c7bf5145934d038420ccb93df918e5e729607ee75bb77d3a8142c4ff4ac60b2be14212061a1fa3a
+DIST WebOb-1.5.1.tar.gz 202821 SHA256 d8a9a153577f74b275dfd441ee2de4910eb2c1228d94186285684327e3877009 SHA512 aba45ff622a572a3bda7cf33ce5988745b3831aea2ed7f0502688055f96c16cf5de828039439218611034ad49dea4e4a9c2ec43b8dbc97be61b7abc33a15589c WHIRLPOOL 814e11b257f82a48f9ed8ff1e1ecb37ab0648c7f67446aa57094da671f0265fadd7b04e9e69ed1ecbfbbc1925804ef7f563f8079b82bea04d8a06853482960b7
diff --git a/dev-python/webob/webob-1.5.1.ebuild b/dev-python/webob/webob-1.5.1.ebuild
new file mode 100644
index 00000000000..6951a17c5a7
--- /dev/null
+++ b/dev-python/webob/webob-1.5.1.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 python3_{3,4} pypy )
+
+inherit distutils-r1
+
+MY_PN=WebOb
+MY_P=${MY_PN}-${PV}
+
+DESCRIPTION="WSGI request and response object"
+HOMEPAGE="http://webob.org/ https://pypi.python.org/pypi/WebOb"
+SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
+IUSE="doc test"
+
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+ doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )
+ test? ( dev-python/nose[${PYTHON_USEDEP}]
+ dev-python/coverage[${PYTHON_USEDEP}] )"
+RDEPEND=""
+
+S=${WORKDIR}/${MY_P}
+
+python_compile_all() {
+ if use doc; then
+ "${PYTHON}" setup.py build_sphinx || die
+ fi
+}
+
+python_test() {
+ nosetests --verbose -w tests || die "Tests fail with ${EPYTHON}"
+}
+
+python_install_all() {
+ use doc && local HTML_DOCS=( "${BUILD_DIR}"/sphinx/html/. )
+ distutils-r1_python_install_all
+}